#
# spec file for package perl-HTML-Restrict
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name HTML-Restrict
Name:           perl-HTML-Restrict
Version:        3.0.2
Release:        1.5
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Strip unwanted HTML tags and attributes
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/%{cpan_name}-v%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Data::Dump)
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(HTML::Parser)
BuildRequires:  perl(List::Util) >= 1.33
BuildRequires:  perl(Moo) >= 1.002000
BuildRequires:  perl(Sub::Quote)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Type::Tiny) >= 1.002001
BuildRequires:  perl(Types::Standard) >= 1.000001
BuildRequires:  perl(URI)
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(version)
Requires:       perl(Data::Dump)
Requires:       perl(HTML::Entities)
Requires:       perl(HTML::Parser)
Requires:       perl(List::Util) >= 1.33
Requires:       perl(Moo) >= 1.002000
Requires:       perl(Sub::Quote)
Requires:       perl(Type::Tiny) >= 1.002001
Requires:       perl(Types::Standard) >= 1.000001
Requires:       perl(URI)
Requires:       perl(namespace::clean)
Requires:       perl(version)
%{perl_requires}

%description
This module uses HTML::Parser to strip HTML from text in a restrictive
manner. By default all HTML is restricted. You may alter the default
behaviour by supplying your own tag rules.

%prep
%autosetup  -n %{cpan_name}-v%{version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CONTRIBUTORS examples README.md
%license LICENSE

%changelog
* Mon Apr 24 2023 Tina Müller <timueller+perl@suse.de>
- updated to 3.0.2
  see /usr/share/doc/packages/perl-HTML-Restrict/Changes
  v3.0.2    2023-04-23 17:06:28Z
  - Add create_newlines to replace BR and P by 1, resp. 2 newlines
    (GH#46) (E. Choroba)
* Wed Sep 28 2022 Dirk Stoecker <opensuse@dstoecker.de>
- updated to 3.0.1
  see /usr/share/doc/packages/perl-HTML-Restrict/Changes
  v3.0.1    2022-09-22 22:27:40Z
  - Add a filter_text attribute. This can be used to disable text
    encoding. (GH#44) (ccottingham-presinet)
* Tue Mar 12 2019 Stephan Kulow <coolo@suse.com>
- updated to 3.0.0
  see /usr/share/doc/packages/perl-HTML-Restrict/Changes
* Sat Feb  9 2019 Stephan Kulow <coolo@suse.com>
- updated to 2.5.0
  see /usr/share/doc/packages/perl-HTML-Restrict/Changes
  v2.5.0    2019-02-08 22:18:11Z
  - Strip some control characters from links (GH#34) (Olaf Alders)
  - Enable empty_element_tags in HTML::Parser (GH#35) (Olaf Alders)
  v2.4.1    2019-02-05 14:13:16Z
  - Bump version of Type::Tiny to 1.002001. (GH#33) (Olaf Alders).  Issue
    reported by Slaven Rezić (GH#32).
* Tue Feb  5 2019 Stephan Kulow <coolo@suse.com>
- updated to 2.4.0
  see /usr/share/doc/packages/perl-HTML-Restrict/Changes
  v2.4.0    2019-02-05 02:51:05Z
  - Process text until it returns the same value twice. (GH#31) (Olaf
    Alders).  Issue raised in (GH#29) by Juraj Major.
  - Add max_parser_loops attribute
* Mon Feb 12 2018 coolo@suse.com
- updated to 2.3.0
  see /usr/share/doc/packages/perl-HTML-Restrict/Changes
  v2.3.0    2018-02-09 16:00:41Z
  - Add code filters for attribute values (GH#27) (Graham Knop)
* Fri Mar  3 2017 coolo@suse.com
- updated to 2.2.4
  see /usr/share/doc/packages/perl-HTML-Restrict/Changes
  2.2.4     2017-03-01 14:22:13-05:00 America/Toronto
  - Updates SEE ALSO pod section (Ben Bullock)
* Sun Dec  4 2016 chris@computersalat.de
- initial package 2.2.3
